package Package1;


import java.awt.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.*;

public class JFrame1 extends JFrame {

    Label label;

    public JFrame1(String title, String content, int width, int height) {
        super(title); // chiamata al costruttore ereditato. In alternativa si poteva omettere e usare setTitle(title)
        FlowLayout flow = new FlowLayout(FlowLayout.CENTER);
        setLayout(flow);
        this.label = new Label(content);  // this può essere omesso, come nel codice che segue
        add(label);
        setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);

        setSize(width, height);
        setVisible(true);
        addMouseListener(new MyMouseAdapter());
    }

    public static void main(String[] args) {
        JFrame1 frame1 = new JFrame1("Titolo1", "Contenuto 1", 200, 100);
        JFrame1 frame2 = new JFrame1("Titolo2", "Contenuto 2", 400, 200);
    }
    
    class MyMouseAdapter extends MouseAdapter {
        @Override
        public void mousePressed(MouseEvent e) {
            System.err.println(e.getX() + " " + e.getY());
        }
    }   
}
